import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Deque;

public class Main {
    public static void main(String[] args) {
        Mappa mappa = new Mappa();
        Cavallo cavallo1 = new Cavallo("Nawt","Rosso", false, mappa);
        Cavallo cavallo2 = new Cavallo("Blanco","Blu", false, mappa);
        Cavallo cavallo3 = new Cavallo("Pound","Giallo", false, mappa);
        Cavallo cavallo4 = new Cavallo("Bang","Verde", false, mappa);
        Cavallo cavallo5 = new Cavallo("Bupkus","Viola", false, mappa);
        Cavallo cavallo6 = new Cavallo("Bugs","Bianco", true, mappa);
        Cavallo cavallo7 = new Cavallo("Daffy","Nero", true, mappa);
        ArrayList <Cavallo> cavalli = new ArrayList<>();
        for(int i=0; i < cavalli.size(); i++){
            mappa.getCasella(cavalli.get(i).getPosizione()).aggiungiCavallo(cavalli.get(i));
        }
        cavalli.add(cavallo1);
        cavalli.add(cavallo2);
        cavalli.add(cavallo3);
        cavalli.add(cavallo4);
        cavalli.add(cavallo5);
        cavalli.add(cavallo6);
        cavalli.add(cavallo7);
        Deque <Giocatore> giocatori = new ArrayDeque<>();

        Pila pila = new Pila();

        Output output = new Output();
        Input input = new Input();
        
        int n = input.numeroGiocatori();
        for(int i = 0; i < n; i++){
            String s = input.sceltaNome();
            giocatori.add(new Giocatore(s));
        }

        Partita partita = new Partita(giocatori, cavalli, mappa, pila);
        partita.sceltaCavaliere();
        partita.inizioTappa();
    }
}


